#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.stm.tudelft.nl)                              *
# Date : 8 September 2004                                                    *
#                                                                            *
#*****************************************************************************

F90FLAGS=/name=(upper)/float=ieee/include=[-.libsrc]

OBJS =netcdf.obj,typeSizes.obj

all : $(OBJS)
	library [-.libsrc]libnetcdf.olb $(OBJS)

netcdf.obj : netcdf.f90 typeSizes.obj
typeSizes.obj : typeSizes.f90

test : netcdf_test.exe
	run netcdf_test
	pipe mc [-.ncdump]ncdump example.nc >example.cdl
	@ pipe cmp example_good.cdl example.cdl > diff.list
	@ if f$file("diff.list","ALQ") .eqs. "0" then write sys$output "*** Success ***"
	@ if f$file("diff.list","ALQ") .nes. "0" then write sys$output "*** Failure ***"
	@ if f$file("diff.list","ALQ") .nes. "0" then diff example_good.cdl example.cdl

netcdf_test.exe : netcdf_test.obj [-.libsrc]libnetcdf.olb
	link netcdf_test.obj,[-.libsrc]libnetcdf.olb/lib

netcdf_test.obj : netcdf_test.f90
