#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.stm.tudelft.nl)                              *
# Date : 8 September 2004                                                    *
#                                                                            *
#*****************************************************************************

CFLAGS=/name=(as_is,short)/float=ieee/define=("vmsFortran=1")\
	/include=[-.libsrc]

CXXFLAGS=$(CFLAGS)

.f.obj :
	cc/define=("vmsFortran=1")/comment=as_is/prep=$(MMS$TARGET_NAME).f_\
	$(MMS$TARGET_NAME).f
	for/float=ieee/name=upper $(MMS$TARGET_NAME).f_
	delete $(MMS$TARGET_NAME).f_;*

OBJS =\
		  fort-attio.obj,\
		  fort-control.obj,\
		  fort-dim.obj,\
		  fort-genatt.obj,\
		  fort-geninq.obj,\
		  fort-genvar.obj,\
		  fort-lib.obj,\
		  fort-misc.obj,\
		  fort-v2compat.obj,\
		  fort-vario.obj,\
		  fort-var1io.obj,\
		  fort-varaio.obj,\
		  fort-varmio.obj,\
		  fort-varsio.obj

all : $(OBJS)
	library [-.libsrc]libnetcdf.olb $(OBJS)

nfconfig.inc : nfconfig.inc_vms
	copy nfconfig.inc_vms nfconfig.inc

fort-attio.obj : fort-attio.c nfconfig.inc
fort-control.obj : fort-control.c nfconfig.inc
fort-dim.obj : fort-dim.c nfconfig.inc
fort-genatt.obj : fort-genatt.c nfconfig.inc
fort-geninq.obj : fort-geninq.c nfconfig.inc
fort-genvar.obj : fort-genvar.c nfconfig.inc
fort-lib.obj : fort-lib.c nfconfig.inc
fort-misc.obj : fort-misc.c nfconfig.inc
fort-v2compat.obj : fort-v2compat.c nfconfig.inc
fort-vario.obj : fort-vario.c nfconfig.inc
fort-var1io.obj : fort-var1io.c nfconfig.inc
fort-varaio.obj : fort-varaio.c nfconfig.inc
fort-varmio.obj : fort-varmio.c nfconfig.inc
fort-varsio.obj : fort-varsio.c nfconfig.inc

test : ftest.exe
	run ftest.exe

ftest.exe : ftest.obj [-.libsrc]libnetcdf.olb
	link ftest.obj,[-.libsrc]libnetcdf.olb/lib

ftest.obj : ftest.f
