#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.stm.tudelft.nl)                              *
# Date : 8 September 2004                                                    *
#                                                                            *
#*****************************************************************************

CFLAGS=/name=(as_is,short)/float=ieee/define=("vmsFortran=1")\
	/include=[-.libsrc]

CXXFLAGS=$(CFLAGS)

OBJS		=  ncdump.obj,vardata.obj,dumplib.obj

all :
	$(MMS)$(MMSQUALIFIERS) ncdump.exe

ncdump.exe : $(OBJS) [-.libsrc]libnetcdf.olb
	link $(OBJS),[-.libsrc]libnetcdf.olb/lib

ncdump.obj : ncdump.c
vardata.obj : vardata.c
dumplib.obj : dumplib.c

test : ncdump.exe [-.ncgen]ncgen.exe
	mc [-.ncgen]ncgen.exe -b test0.cdl
	pipe mc []ncdump.exe -n test1 test0.nc > test1.cdl
	mc [-.ncgen]ncgen.exe -b test1.cdl
	pipe mc []ncdump.exe test1.nc > test2.cdl
	@ pipe cmp test1.cdl test2.cdl >diff.list
	@ if f$file("diff.list","ALQ") .eqs. "0" then write sys$output "*** Success ***"
        @ if f$file("diff.list","ALQ") .nes. "0" then write sys$output "*** Failed test ***"
