#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.stm.tudelft.nl)                              *
# Date : 9 September 2004                                                    *
#                                                                            *
#*****************************************************************************

CFLAGS=/name=(as_is,short)/float=ieee/define=("vmsFortran=1")\
	/include=[-.libsrc]

CXXFLAGS=$(CFLAGS)

OBJS=varget.obj,vargetg.obj,varput.obj,varputg.obj,vardef.obj,vartests.obj,\
	vputget.obj,vputgetg.obj,driver.obj,cdftests.obj,dimtests.obj,rec.obj,\
	atttests.obj,misctest.obj,add.obj,error.obj,emalloc.obj,val.obj,\
	slabs.obj

test : nctest.exe
	run nctest.exe
	@ pipe cmp testfile.nc testfile_nc.sav >diff.list
	@ if f$file("diff.list","ALQ") .eqs. "0" then write sys$output "*** Success ***"
	@ if f$file("diff.list","ALQ") .nes. "0" then write sys$output "*** Failed test ***"

nctest.exe : $(OBJS) [-.libsrc]libnetcdf.olb
	link/exec=nctest.exe $(OBJS),[-.libsrc]libnetcdf.olb/lib

varget.obj : varget.c
vargetg.obj : vargetg.c
varput.obj : varput.c
varputg.obj : varputg.c
vardef.obj : vardef.c
vartests.obj : vartests.c
vputget.obj : vputget.c
vputgetg.obj : vputgetg.c
driver.obj : driver.c
cdftests.obj : cdftests.c
dimtests.obj : dimtests.c
rec.obj : rec.c
atttests.obj : atttests.c
misctest.obj : misctest.c
add.obj : add.c
error.obj : error.c
emalloc.obj : emalloc.c
val.obj : val.c
slabs.obj : slabs.c
